Skip to main content
GET
/
customers
/
{id}
/
entitlements
List active entitlements for a customer
curl --request GET \
  --url https://api.alguna.io/customers/{id}/entitlements \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ent_abc123",
      "mode": "static",
      "subscription_id": "sub_abc123",
      "type": "boolean",
      "version_id": "subv_abc123",
      "allocation": {
        "amount": "100000",
        "credit_type": "monetary",
        "rollover_enabled": true,
        "rollover_max_periods": 3
      },
      "key": "api_access",
      "timing": {
        "recurrence": "recurring",
        "interval": "monthly"
      },
      "value": "true"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Path Parameters

id
string
required

Unique identifier for the customer

Response

Success

data
object[]
required

List of entitlements